;InnoSetupVersion=4.2.1

[Setup]
AppName=FreshDevices FreshDownload
AppVerName=FreshDownload
AppId=FreshDevices FreshDownload
DefaultDirName={pf}\FreshDevices\FreshDownload
DefaultGroupName=FreshDevices\FreshDownload
UninstallDisplayIcon={app}\fd.exe
OutputBaseFilename=freshdow
Compression=lzma
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\fd.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\fdhelp.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\fdgo.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\fdcatch.dll"; DestDir: "{app}"; Flags: restartreplace regserver 
Source: "{app}\fdplugin.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\back01.bmp"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 

[Run]
Filename: "{app}\readme.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 

[UninstallRun]
Filename: "{app}\fd.exe"; Parameters: "/u"; 

[Icons]
Name: "{group}\FreshDownload"; Filename: "{app}\fd.exe"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{group}\Help - FreshDownload"; Filename: "{app}\fdhelp.chm"; 
Name: "{group}\ReadMe - FreshDownload"; Filename: "{app}\readme.txt"; 
Name: "{group}\Get Free Registration Code!!"; Filename: "{pf}\Internet Explorer\iexplore.exe"; Parameters: """http://www.freshdevices.com/register.html"""; IconFilename: "{pf}\Internet Explorer\iexplore.exe"; IconIndex: 1; 
Name: "{userdesktop}\FreshDownload"; Filename: "{app}\fd.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userstartmenu}\FreshDownload"; Filename: "{app}\fd.exe"; WorkingDir: "{app}"; Tasks: startmenuicon; 
Name: "{localappdata}\Microsoft\Internet Explorer\Quick Launch\FreshDownload"; Filename: "{app}\fd.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
Name: "startmenuicon"; Description: "Create a &Start menu icon"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
